> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a signed url for a specific part

> Generates a signed URL for uploading a specific part of a multi-part upload.



## OpenAPI

````yaml post /workspaces/assets/upload/multi/signedurl
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/upload/multi/signedurl:
    post:
      tags:
        - Asset Upload
      description: >-
        Generates a signed URL for uploading a specific part of a multi-part
        upload.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: query
          name: key
          schema:
            type: string
          required: true
          description: The key of the object being uploaded.
        - in: query
          name: upload_id
          schema:
            type: string
          required: true
          description: The ID of the multi-part upload.
        - in: query
          name: part_no
          schema:
            type: integer
          required: true
          description: The part number of the upload.
        - in: query
          name: content_type
          schema:
            type: string
          required: true
          description: The content type of the part being uploaded.
        - in: query
          name: checksum
          schema:
            type: string
          required: true
          description: The checksum of the part being uploaded.
      responses:
        '200':
          description: Successfully generated the signed URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSignedUrl'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    UploadSignedUrl:
      type: object
      description: Represents a signed URL for uploading an asset.
      properties:
        key:
          type: string
          description: The unique key associated with the upload.
        signed_url:
          type: string
          description: The signed URL used for uploading the asset.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````